Page MenuHomePhabricator

HTTP proxy support for FCM calls on production
Closed, ResolvedPublic

Description

On production, outgoing HTTP requests go through an HTTP proxy. We need to make sure that the FCM client is configured properly to be able to communicate with the FCM backend.

  • Investigate if there is a need to add configuration for HTTP proxy
  • Enable proxy support for FCM backend calls.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2020, 11:51 AM
This comment was removed by Jgiannelos.

From firebase-admin documentation:
https://firebase.google.com/docs/reference/admin/node/admin.app.AppOptions#httpAgent

This looks like a good candidate to enable proxy support in case we actually need it.

Change 608084 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/push-notifications@master] WIP: apns/fcm: Implement proxy configuration

https://gerrit.wikimedia.org/r/608084

MSantos claimed this task.Jun 29 2020, 5:41 PM
MSantos triaged this task as Medium priority.

Change 608084 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] apns/fcm: Implement proxy configuration

https://gerrit.wikimedia.org/r/608084

MSantos closed this task as Resolved.Jul 8 2020, 12:07 PM